Bug 7420 - vlc-cache-gen is not run by installation of vlc and, for example, kaffeine-2 crashes
: vlc-cache-gen is not run by installation of vlc and, for example, kaffeine-2 ...
Status: CONFIRMED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-07 22:30 MSD by Rolf Pedersen
Modified: 2017-03-16 16:57 MSK (History)
1 user (show)

See Also:
RPM Package: vlc-2.2.4-1plf.src.rpm
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Pedersen 2016-10-07 22:30:29 MSD
vlc is in main but I use plf, vlc-2.2.4-1plf-plf2014.1.x86_64 from restricted.

This is a report of a problem in kaffeine that, apparently, is easily remedied by manually running vlc-cache-gen 

/usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins/

kaffeine-1.3 is no good for my OTA ATSC recordings, a usage that worked well in kaffeine-1.2 for some years.  It seems like a memory leak and kaffeine-1 is no longer supported @ kde, so I build kaffeine-2, which crashes in ROSA

Aug 24 18:24:13 z170i kernel: kaffeine[8335]: segfault at 7fbcbe0b90f0 ip 00007fbc9ab3814c sp 00007ffeb3683e30 error 7 in libQtGui.so.4.8.7[7fbc9a983000+a1e000]

I wrote about this in a kde bug: https://bugs.kde.org/show_bug.cgi?id=367728

After many blind attempts and trying clues from google, I found "vlc package should refresh plugins cache after installing" in the ubuntu bug: https://bugs.launchpad.net/ubuntu/+source/vlc/+bug/1328466

Immediately after running 

sudo /usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins/

my build of kaffeine-2 works.

I tested reproducibility with one re-installation of vlc

1.  sudo rpm -Uvh --replacefiles --replacepkgs ./vlc-2.2.4-1plf-plf2014.1.x86_64.rpm

2.  kaffeine-2 crashes:

    Oct 07 09:18:49 z170i kernel: kaffeine[31945]: segfault at 7f63eeb520f0 ip 00007f63cb54814c sp 00007ffc92c2fe20 error 7 in libQtGui.so.4.8.7[7f63cb393000+a1e000]

3.  I run:
    sudo /usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins/

4.  kaffeine-2 starts and works.

I only work with the plf packages, where available, and this is all a lot of work for me to get/keep things working, so I don't have the initiative to try with vlc from Main.

See:  https://trac.videolan.org/vlc/ticket/9807

Thanks.
Comment 1 Rolf Pedersen 2017-03-16 16:57:23 MSK
3/14, vlc and plugins were updated.
kaffeine 2.0.6, built from git, per above, segmentation faults.
Kaffeine: 1.2.2, from contrib/release, did run.
I didn't test kaffeine 1.3 as it doesn't work well for me, per above.
/usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins/
as root and 2.0.6 works.

rolf@z170i ~ $ rpm -qa --last | grep vlc
vlc-plugin-speex-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:28 AM PDT
vlc-plugin-lua-2.2.4-1.1plf-plf2014.1.x86_64  Tue 14 Mar 2017 09:42:28 AM PDT
vlc-plugin-vdpau-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:27 AM PDT
vlc-plugin-projectm-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:27 AM PDT
vlc-plugin-opengl-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:27 AM PDT
vlc-plugin-lirc-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:27 AM PDT
vlc-plugin-gnutls-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:27 AM PDT
vlc-plugin-gme-2.2.4-1.1plf-plf2014.1.x86_64  Tue 14 Mar 2017 09:42:27 AM PDT
vlc-plugin-fluidsynth-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:27 AM PDT
vlc-plugin-bonjour-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:27 AM PDT
vlc-plugin-zvbi-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:18 AM PDT
vlc-plugin-shout-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:18 AM PDT
vlc-plugin-ncurses-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:18 AM PDT
vlc-plugin-mpc-2.2.4-1.1plf-plf2014.1.x86_64  Tue 14 Mar 2017 09:42:18 AM PDT
vlc-plugin-jack-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:18 AM PDT
vlc-plugin-flac-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:18 AM PDT
vlc-plugin-sdl-2.2.4-1.1plf-plf2014.1.x86_64  Tue 14 Mar 2017 09:42:12 AM PDT
vlc-plugin-schroedinger-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:12 AM PDT
vlc-plugin-libass-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:12 AM PDT
lib64vlc-devel-2.2.4-1.1plf-plf2014.1.x86_64  Tue 14 Mar 2017 09:42:12 AM PDT
vlc-plugin-vaapi-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:11 AM PDT
vlc-plugin-upnp-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:11 AM PDT
vlc-plugin-pulse-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:11 AM PDT
vlc-plugin-aa-2.2.4-1.1plf-plf2014.1.x86_64   Tue 14 Mar 2017 09:42:11 AM PDT
vlc-plugin-libnotify-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:10 AM PDT
vlc-plugin-kate-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:10 AM PDT
vlc-plugin-dv-2.2.4-1.1plf-plf2014.1.x86_64   Tue 14 Mar 2017 09:42:10 AM PDT
vlc-plugin-twolame-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:04 AM PDT
vlc-plugin-theora-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:04 AM PDT
vlc-plugin-opus-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:04 AM PDT
vlc-plugin-opencv-2.2.4-1.1plf-plf2014.1.x86_64 Tue 14 Mar 2017 09:42:04 AM PDT
vlc-plugin-mod-2.2.4-1.1plf-plf2014.1.x86_64  Tue 14 Mar 2017 09:42:04 AM PDT
vlc-2.2.4-1.1plf-plf2014.1.x86_64             Tue 14 Mar 2017 09:41:55 AM PDT
lib64vlc5-2.2.4-1.1plf-plf2014.1.x86_64       Tue 14 Mar 2017 09:41:54 AM PDT
lib64vlccore8-2.2.4-1.1plf-plf2014.1.x86_64   Tue 14 Mar 2017 09:41:50 AM PD